Subject: [bug#58339] ’guix shell’ not working with GUIX_EXTENSIONS_PATH

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 07 Oct 2022 21:28:59 +0200

Am Freitag, dem 07.10.2022 um 20:49 +0200 schrieb zimoun:
> Let start to have a simple extension that we can improve by
> incremental changes,
My point is that we already have proper extensions in both guix and
other channels.  It's a little late to "start with a simple [one]".

> On Fri, 7 Oct 2022 at 20:21, Liliana Marie Prikler
> <[email-masked]> wrote:
> 
> > But that's the point.  Simply adding an extension – whether an
> > example or an actually useful one – doesn't teach users how to use
> > them.  It's missing this very information among other things.
> 
> The answer of this is provided by the following part of my previous
> message. :-)
I might be missing it or perhaps I disagree.  Pick whichever makes
sense to you after reading this mail.

> > > For instance, let consider guix-modules [1].  It reads,
> > > 
> > > --8<---------------cut here---------------start------------->8---
> > > $ guix install guix-modules
> > > $ export GUIX_EXTENSIONS_PATH="$HOME/.guix-
> > > profile/share/guix/extensions"
> > > --8<---------------cut here---------------end--------------->8---
> 
> The already included extension 'guix-modules' is usable using the
> snippet above.  And we teach people via a blog post on hpc.guix.info.
A manual is clearly more visible than a blog post.  Also, even if that
blog post had everything, we've added blog posts to the cookbook
already, so it wouldn't even be that hard in this case.

> > > --8<---------------cut here---------------start------------->8---
> > > $ guix shell guix-modules -- guix module -h
> > > guix: module: command not found
> > > Try `guix --help' for more information.
> > > 
> > > $ guix shell guix-modules
> > > [env]$ guix module -h
> > > guix: module: command not found
> > > Try `guix --help' for more information.
> > > --8<---------------cut here---------------end--------------->8---
> 
> > In case you really didn't know how to use extensions with guix
> > shell, it's guix shell guix your-extension -- guix blah, assuming
> > your extension works with a slightly older guix.
> 
> As shown by my snippet above, it does not work; at least on foreign
> distro.
Look at your snippet, then back to mine, now back to your snippet, now
back to mine.  Sadly, your snippet isn't mine, but it could be mine if
you added "guix" to the the packages listed before the --.

Cheers